# __gnu_parallel::equal_from_less< Comparator, T1, T2 > Class Template Reference

Inheritance diagram for __gnu_parallel::equal_from_less< Comparator, T1, T2 >:

List of all members.

## Detailed Description

### template<typename Comparator, typename T1, typename T2>
class __gnu_parallel::equal_from_less< Comparator, T1, T2 >

Constructs predicate for equality from strict weak ordering predicate.

Definition at line 166 of file base.h.

## Public Types

- typedef T1 first_argument_type
- typedef bool result_type
- typedef T2 second_argument_type

## Public Member Functions

- equal_from_less (Comparator &_comp)
- bool operator() (const T1 &a, const T2 &b)

## Member Typedef Documentation

typedef T1 std::binary_function< T1 , T2 , bool >::first_argument_type `[inherited]`

the type of the first argument

Definition at line 117 of file stl_function.h.

typedef bool std::binary_function< T1 , T2 , bool >::result_type `[inherited]`

type of the return type

Definition at line 121 of file stl_function.h.

typedef T2 std::binary_function< T1 , T2 , bool >::second_argument_type `[inherited]`

(no surprises here) the type of the second argument

Definition at line 120 of file stl_function.h.

The documentation for this class was generated from the following file:

- base.h